import * as react_jsx_runtime from 'react/jsx-runtime';

interface groupCheckBoxType {
    selectType?: "single" | "multiple";
    hasSearch?: boolean;
    searchOption?: SearchOptionType;
    list: listItemType[];
    selectedItems: any;
    setSelectedItems: any;
    hasPrimaryItem?: boolean;
    parentClassName?: string;
    checkboxClassName?: string;
    labelClassName?: string;
    checkboxFilledClassName?: string;
    customIcon?: {
        checked: string;
        unChecked: string;
        size: number;
    } | null;
}
interface SearchOptionType {
    label?: string;
    className?: string;
    disabled?: boolean;
    emptyComponent?: any;
}
interface listItemType {
    id?: number;
    name: string;
    checked?: boolean;
    label?: string;
    disabled?: boolean;
}

declare function GroupCheckbox(props: groupCheckBoxType): react_jsx_runtime.JSX.Element;

declare function Checkbox({ name, onChange, id, label, checked, disabled, parentClassName, labelClassName, inputClassName, customIcon, }: {
    name: string;
    onChange: React.ChangeEvent<HTMLInputElement> | any;
    id?: number | string;
    label?: string;
    checked?: boolean;
    disabled?: boolean;
    parentClassName?: string;
    labelClassName?: string;
    inputClassName?: string;
    customIcon?: {
        checked: string;
        unChecked: string;
        size: number;
    } | null;
}): react_jsx_runtime.JSX.Element;

export { GroupCheckbox, Checkbox as default };
